@use 'themes/light' as light;
@use 'themes/dark' as dark;

// Default theme and  dark variant
body,
.rui {
  @include light.theme();

  background-color: var(--background-color);
  color: var(--foreground-color);

  /* stylelint-disable scss/media-feature-value-dollar-variable */
  @media (prefers-color-scheme: dark) {
    @include dark.theme();
  }
  /* stylelint-enable scss/media-feature-value-dollar-variable */
}

// Forced themes
.rui-theme {
  &--dark {
    @include dark.theme();
  }

  &--light {
    @include light.theme();
  }
}
